class_name DroppedBlockDataResource
extends Node3DDataResource


@export var block_id: String = "001"


func _save_data(node: Node3D) -> void:
	super._save_data(node)

	block_id = node.id


func _load_data(_window: Window) -> void:
	EntityManager.drop_block.emit(block_id, transform.origin, Vector3.ZERO, 0.0)
